Subject: Re: [Cbe-oss-dev] Xorg crash when PCI not enabled

From: Marvin <[email-masked]>
Date: Tue, 6 May 2008 18:01:15 +0200

Hi Dan,

On Tuesday 06 May 2008 11:44:12 Dan Munckton wrote:
> Hi
>
> On Tue, 2008-05-06 at 10:14 +0200, Marvin wrote:
> > p.s. I installed fc9 last week and Xorg crashes when PCI is not
> > enabled. just
> > in case someone has the same problem.
>
> The Ubuntu PS3 team is also working on an a couple of bugs relating to
> lack of PCI info. I don't know if these are the same issues you're
> facing. We're tracking them here at [0] and [2].
>
> We had an initial crash was simple to fix [1]. Now we need to get X to
> automatically load the fbdev driver instead of vesa [2].

Fedora uses a newer Xorg (1.5.0 RC1) then Ubuntu. It seems that the 
detection/scanning code was changed. For me, it crashes right behind "using 
VT number 7", where a file in /sys/bus/pci is accessed (which of course does 
not exist), so its not related to the other mentioned bugs. I'm hesitating to 
file a fedora bug report, because the default kernel works. It's more a Xorg 
bug to assume everyone has PCI ...

Greetings

	Marvin